Security Enhanced Linux Reference Policy

# Layer: services

## Module: dcc

Interfaces

### Description:

Distributed checksum clearinghouse spam filtering.

### Interfaces:

dcc_domtrans_cdcc( domain )

##### Summary

Execute cdcc in the cdcc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

dcc_domtrans_client( domain )

##### Summary

Execute dcc client in the dcc client domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

dcc_domtrans_dbclean( domain )

##### Summary

Execute dbclean in the dcc dbclean domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

dcc_run_cdcc( domain , role )

##### Summary

Execute cdcc in the cdcc domain, and allow the specified role the cdcc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

dcc_run_client( domain , role )

##### Summary

Execute dcc client in the dcc client domain, and allow the specified role the dcc client domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

dcc_run_dbclean( domain , role )

##### Summary

Execute dbclean in the dcc dbclean domain, and allow the specified role the dcc dbclean domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

dcc_signal_client( domain )

##### Summary

Send generic signals to dcc client.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dcc_stream_connect_dccifd( domain )

##### Summary

Connect to dccifd over a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return